Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class ViewStateModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractStateModel
              org.springframework.webflow.engine.model.AbstractTransitionableStateModel
                  org.springframework.webflow.engine.model.ViewStateModel

All Implemented Interfaces:
  Model

    public class ViewStateModel

extends AbstractTransitionableStateModel

Model support for view states.

Author:
  Scott Andrews

Constructor Summary
`ViewStateModel(java.lang.String id)` Create a view state model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`BinderModel` | `getBinder()`
`java.lang.String` | `getModel()`
`java.util.LinkedList` | `getOnRenderActions()`
`java.lang.String` | `getPopup()`
`java.lang.String` | `getRedirect()`
`java.util.LinkedList` | `getVars()`
`java.lang.String` | `getView()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setBinder(BinderModel binder)`
`void` | `setModel(java.lang.String model)`
`void` | `setOnRenderActions(java.util.LinkedList onRenderActions)`
`void` | `setPopup(java.lang.String popup)`
`void` | `setRedirect(java.lang.String redirect)`
`void` | `setVars(java.util.LinkedList vars)`
`void` | `setView(java.lang.String view)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractTransitionableStateModel
`fillCopy, getOnExitActions, getTransitions, setOnExitActions, setTransitions`

Methods inherited from class org.springframework.webflow.engine.model.AbstractStateModel
`fillCopy, getAttributes, getExceptionHandlers, getId, getOnEntryActions, getParent, getSecured, setAttributes, setExceptionHandlers, setId, setOnEntryActions, setParent, setSecured`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewStateModel

    public ViewStateModel(java.lang.String id)

  Create a view state model

  Parameters:
    `id` - the identifier of the state

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getView

    public java.lang.String getView()

  Returns:
    the view

### setView

    public void setView(java.lang.String view)

  Parameters:
    `view` - the view to set

### getRedirect

    public java.lang.String getRedirect()

  Returns:
    the redirect

### setRedirect

    public void setRedirect(java.lang.String redirect)

  Parameters:
    `redirect` - the redirect to set

### getPopup

    public java.lang.String getPopup()

  Returns:
    the popup

### setPopup

    public void setPopup(java.lang.String popup)

  Parameters:
    `popup` - the popup to set

### getModel

    public java.lang.String getModel()

  Returns:
    the model

### setModel

    public void setModel(java.lang.String model)

  Parameters:
    `model` - the model to set

### getVars

    public java.util.LinkedList getVars()

  Returns:
    the vars

### setVars

    public void setVars(java.util.LinkedList vars)

  Parameters:
    `vars` - the vars to set

### getBinder

    public BinderModel getBinder()

### setBinder

    public void setBinder(BinderModel binder)

### getOnRenderActions

    public java.util.LinkedList getOnRenderActions()

  Returns:
    the on render actions

### setOnRenderActions

    public void setOnRenderActions(java.util.LinkedList onRenderActions)

  Parameters:
    `onRenderActions` - the on render actions to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD